from pylab import *
from random import *

print("*************************************")
print("*    Simulateur de radioactivite    *")
print("* Alternative a l'activite 3 p. 150 *")
print("************************Hatier 2020**")

print("Attention, le separateur decimal est le point")

### Donnees
UNITE="s"	# symbole de l'unite de temps
dt=1		# pas de temps en UNITE
l=1/6		# constante radioactive lambda en 1/UNITE
N0=long(1e4)	# nombre de noyaux initial
tmax=25		# date de fin en UNITE

### Ne pas modifier : nombre de calculs
nt=int(tmax/dt)+1

### Ne pas modifier
def untirage(p):
	a=1
	if random()<p:
		a=0
	return a

def destirages(N,p):
	s=0
	for i in range(N):
		s=s+untirage(p)
	return s

### A modifier : nombre de noyaux restants a une date donnee
N=[N0]
t=[0]
for i in range(nt):
	t.append(t[-1]+dt)
	N.append()

### Ne pas modifier
Nth=[N0]
tt=[0]
for i in range(10*nt):
	tt.append(tt[-1]+dt/10)
	Nth.append(N0*exp(-l*tt[-1]))
plot(t,N,"+",label="Nombre N de noyaux restants simule")
plot(tt,Nth,label="Nombre Nth de noyaux restants theorique")
xlim(0,tmax)
ylim(0,N0)
xlabel("t en "+UNITE)
ylabel("N")
legend()
grid(True)
show()
